/* Stilmall för varje webbsidas bas-layout */
body {
    background-color: #DBD7D1;
    margin: 0 auto;
    margin-top: 10px;
    margin-bottom: 10px;
    /*text-align: center;*/
    /* width: 100%;*/
    max-width: 800px;
    box-sizing: border-box;
}

/* Div ID "pagecontainer" för centrera allt innehåll i en unik pagecontainer */
#pagecontainer {
    background-color: #FBF7F8;
    background-repeat: repeat;
    margin: 0 auto;
    /*text-align: left;*/
    font-family: georgia, verdana, serif;
    font-size: 14px;
    color: #282828;
    line-height: 1.5em;
    border-color: #a79b85;
    border-style: solid;
    border-width: thin;
}

#pagecontainer a {
    color: #383838;
    text-decoration: none;
}

#pagecontainer a:hover,
a:active {
    color: #545454;
    text-decoration: none;
}

.center-content {
    text-align: center;
}

/* Header sektion */
#header {
    background-image: url(https://upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Client-server-model.svg/1920px-Client-server-model.svg.png);
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    display: block;
    width: auto;
    height: 251px;
}

/* Navigation bar */
@media screen and (max-width: 800px) {

    /* Media query för enheter upp till 800 pixlar bred */
    #navbar ul {
        flex-wrap: wrap !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    #navbar ul li {
        min-width: auto;
    }

    #navbar ul li a {
        border-right: 1px solid #B0A084;
        padding: 14px 0;
    }

    #navbar ul li:last-child a {
        border-bottom: 0;
    }

}

@media screen and (max-width: 500px) {

    #navbar ul li {
        flex: 1 1 auto !important;
    }

    #navbar ul li a {
        border-right: 0;
        /*border-bottom: 1px solid #B0A084;*/
        padding: 0;
    }

}

@media screen and (max-width: 450px) {

    #navbar ul li a {
        border-bottom: 1px solid #B0A084;

    }

    #navbar ul li:nth-child(4) a {
        border-right: none;
        /*margin-right: 1px;*/
    }

    #navbar ul li.end {
        width: 100%;
        padding-left: 25%;
        padding-right: 25%;
    }
}

@media screen and (max-width: 322px) {

    #navbar ul li {
        width: 25%;

    }

    #navbar ul li a {
        border-bottom: 1px solid #B0A084;

    }

    #navbar ul li:nth-child(3) a {
        border-right: none;
    }

    #navbar ul li:nth-child(4) a {
        border-right: 1px solid #B0A084;
        border-bottom: none;
    }

    #navbar ul li:nth-child(4) {
        width: 50%;

    }

    #navbar ul li.end {
        width: 50%;
        padding: 0%;
    }
}


#navbar ul {
    color: #5B3A4C;
    background-color: #EDDEC4;
    display: flex;
    flex-wrap: wrap;
    /*width: 100%;*/
    list-style-type: none;
    padding-left: 40px;
    padding-right: 40px;
}

#navbar ul li {
    line-height: 1.2em;
    flex: 1 1 0;
}

#navbar ul li a {
    /*float: left;*/
    background-color: #EDDEC4;
    color: #5B3A4C;
    border-right: 1px solid #B0A084;
    padding: 4px 12px;
    /*text-decoration: none;*/
    /*font-family: georgia, helvetica, serif;*/
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    /*text-transform: capitalize;*/
    display: block;
    /*width: 100%;*/
}

#navbar ul li.end a {
    border: 0px;
}

#navbar ul li a:hover {
    background-color: #E7D7BC;
    color: #472C3B;
}

#navbar ul li a:active {
    background-color: #E2D2B7;
    color: #5B3A4C;
}

/* Main dynamiskt innehåll */
/* Behållare för hela sidans innehåll för <main> */
.content-main {
    padding-top: 0px;
    padding-bottom: 30px;
    /*height: auto;*/
    min-height: 500px;
}

.entry {
    width: 85%;
    margin: 0 auto;
    text-align: left;
    clear: both;
    padding-bottom: 20px;
    margin-top: 8px;
}

.entryheader {
    width: 85%;
    margin: 0 auto;
    text-align: left;
    clear: both;
    padding-bottom: 0px;
    margin-top: 0px;
}

div.entrybox {
    background-color: #F6F0DC;
    padding: 0px 10px 12px 5px;
    border: 1px dashed #C9C1AE;
}

h2.entrytitle {
    font-size: 20px;
    margin-bottom: 4px;
    text-decoration: none;
}

.entrybody p {
    margin: 1.286em 0;
}

.entrybody a {
    color: #984E4E;
    text-decoration: none;
    font-weight: bold;
}

.entrybody a:hover {
    color: #6D3737;
    text-decoration: underline;
}


div.entrymeta {

    font-size: 11px;
}

h3#categorytitle,
h3#latest,
h3#recent,
h3.pagetitle {

    text-align: center;
    background-color: #EDDEC4;
    color: #5B3A4C;
    border: 1px solid #B0A084;
    padding: 7px;
    margin-bottom: 10px;
    /*text-transform: capitalize;*/
    font-size: 16px;
}

h1 {
    font-size: 20px;
    font-style: italic;
}

h2 {
    font-size: 18px;
}

h3 {
    font-size: 14px;
}

/* Footer sektion */
#footer {
    /*background-image: url('https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Scheme_dynamic_page_en.svg/1920px-Scheme_dynamic_page_en.svg.png');*/
    width: auto;
    /*height: 100px;*/
    height: auto;
    min-height: 100px;
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    display: block;
    /*background-color: #FBF7F8;*/
}

#footerbox {
    position: relative;
    top: 15px;
}

#footerbox p {
    font-family: georgia, verdana, serif;
    font-size: 11px;
    color: #000000;
    text-align: center;
    line-height: 1.5em;
}

#footerbox p a {
    color: #703434;
    text-decoration: none;
}

#footerbox p a:hover,
a:active {
    color: #421E1E;
    text-decoration: underline;
}

/* Kommentarer */
.commentheader {
    margin-left: 5.6em;
    text-align: left;
    text-transform: uppercase;
    color: #908E8E;
    letter-spacing: 1em;
    font-family: "Trebuchet MS";
    font-size: 16px;
    font-weight: bold;
    line-height: 0em;
}

.commentbar {
    width: 78%;
    color: #FFFFFF;
}

h3#comment {
    text-align: center;
    border-top: 1px solid #acb1ba;
    background: #9ba1aa;
    padding: 7px;
    border-bottom: 1px solid #acb1ba;
    margin-bottom: 10px;
    margin-top: 80px;
}

ol.comments {
    margin-top: 0px;
    padding: 0px 35px 0px 35px;
    margin-left: 0px;
    list-style-type: none;
    font-size: 0.9em;

}

.commentname {
    margin: 0;
    padding: 0 0 2px 0;
}

.commentinfo {
    text-align: right;
    margin-left: auto;
}

.commenttext {
    clear: both;
    padding-top: 0px;
    margin-top: 0px;
    margin-bottom: 5px;
    border-top: 1px solid #ebebeb;
    color: #5b5b5b;
    word-wrap: break-word;
    padding-top: 5px;
    width: 100%;
}

ol.comments li {
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
}

#commentsformheader {
    text-align: center;
    font-size: 1.4em;
}

#commentsform {
    margin-top: none;
    text-align: justify;
    background-color: #F6F0DC;
    padding: 0px 10px 12px 5px;
    border: 1px dashed #C9C1AE;
}

#commentsform form {
    text-align: left;
    margin: 0px;
}

#commentsform p {
    margin: 5px;
}

#commentsform form textarea {
    width: 100%;
    box-sizing: border-box;
}

#commentsform p.changedetails {
    border: 1px dashed #9ba1aa;
    padding: 5px;
    text-align: left;
}

p.notshow {
    display: none;
    height: 0;
}

.nofollow {
    color: #DF2000;
}